---
title: Get Shipment Details
slug: fourkites-api-reference/get-shipment-details
description: Learn how to use the detailed and versatile API described in this document to retrieve information about loads. Find out how to track shipments, access reference information, and obtain data on drivers, rail equipment, vessels, stops, geofences, and point
icon: {"apiMethod":"GET"}
createdAt: 2023-04-14T05:18:54.000Z
---

This API returns a **detailed response for a given load**. This API can be used to fetch exhaustive tracking and reference information.

:::hint{type="info"}
### Rate Limit

**1 request per second**
:::

:::hint{type="info"}
### Format Supported

**JSON**
:::

:::hint{type="info"}
### Authenticated Resource

**API Key**
:::

For more information on Authentication, [click here](https://docs.fourkites.com/api-reference/authentication).&#x20;

:::hint{type="info"}
This endpoint includes shipments **shared** with your account by other companies on the FourKites network. Shared loads are returned alongside your own shipments and are identifiable via the `shipper` field in the response. This behavior is consistent across both `GET /shipments` and `GET /shipment-details/{id}`.
:::

::::hint{type="info"}
You can also filter by Load Number. The following block holds request params with Load Number:

:::BlockQuote
curl -v -X GET '[https://api.fourkites.com/shipments/#?identifierType=loadNumber](https://api-qat.fourkites.com/shipments/#\{loadnumber}?identifierType=loadNumber)'&#x20;
-H 'Accept:  application/vnd.fourkites.v1+json'&#x20;
-H 'apikey:  your\_api\_key'
:::
::::

:::ApiMethodV2
```json
{
  "name": "Get Shipment Detail",
  "method": "GET",
  "url": "https://api.fourkites.com/shipments/449061769",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "Oo62MzepjMcgBEKXqohlt",
        "language": "curl",
        "code": "curl --request GET \\\n  --url https://api.fourkites.com/shipments/449061769 \\\n  --header 'apikey: REPLACE_KEY_VALUE'\n",
        "customLabel": ""
      },
      {
        "id": "XuEZ-q4DVc6wjKmwcM_rG",
        "language": "java",
        "code": "OkHttpClient client = new OkHttpClient();\n\nRequest request = new Request.Builder()\n  .url(\"https://api.fourkites.com/shipments/{fourKitesShipmentID}\")\n  .get()\n  .addHeader(\"apikey\", \"REPLACE_KEY_VALUE\")\n  .build();\n\nResponse response = client.newCall(request).execute();\n",
        "customLabel": ""
      },
      {
        "id": "ylPcYFMxkm7AVrQRAaTUk",
        "language": "javascript",
        "code": "const request = require('request');\n\nconst options = {\n  method: 'GET',\n  url: 'https://api-.fourkites.com/shipments/{fourKitesShipmentID}',\n  headers: {apikey: 'REPLACE_KEY_VALUE'}\n};\n\nrequest(options, function (error, response, body) {\n  if (error) throw new Error(error);\n\n  console.log(body);\n});\n\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Oo62MzepjMcgBEKXqohlt"
  },
  "results": {
    "languages": [
      {
        "id": "piztyiCA4tcMWNbbdnaNB",
        "language": "200",
        "code": "{\n  \"data\": {\n    \"fourKitesShipmentID\": \"471175003\",\n    \"loadNumber\": \"CB-check2\",\n    \"status\": \"Awaiting Tracking Info\",\n    \"priority\": \"normal\",\n    \"identifiers\": {\n      \"purchaseOrderNumbers\": [\n        \"173910 7469813659\"\n      ],\n      \"referenceNumbers\": [\n        \"GLOG Refnum: C003859078\",\n        \"9002643011-P92\"\n      ]\n    },\n    \"latestLocation\": null,\n    \"stakeholders\": {\n      \"shipper\": \"rose_shipper\"\n    },\n    \"SCAC\": null,\n    \"totalDistanceInMeters\": 475350,\n    \"remainingDistanceInMeters\": null,\n    \"fourKitesETA\": null,\n    \"timeZone\": \"Europe/Rome\",\n    \"numberOfDeliveryStops\": 1,\n    \"stops\": [\n      {\n        \"fourKitesStopID\": \"1250930739\",\n        \"stopType\": \"PICKUP\",\n        \"status\": \"Not Tracking\",\n        \"stopName\": \"FM ITALIA, CAPRIATA D'ORBA,\",\n        \"city\": \"Capriata d'Orba\",\n        \"state\": null,\n        \"country\": \"IT\",\n        \"externalAddressID\": \"00PL00S4FM\",\n        \"latitude\": 44.7244,\n        \"longitude\": 8.66015,\n        \"timeZone\": \"Europe/Rome\",\n        \"schedule\": {\n          \"appointmentTime\": \"2024-12-23T23:00:00+01:00\"\n        },\n        \"sequence\": 1,\n        \"arrivalTime\": null,\n        \"departureTime\": null,\n        \"pallets\": [\n          {\n            \"parts\": [\n              {\n                \"quantity\": null,\n                \"weight\": null\n              }\n            ]\n          }\n        ],\n        \"fourKitesEta\": null,\n        \"dwellDurationInMinutes\": null,\n        \"shipmentIdentifiers\": {\n          \"purchaseOrderNumbers\": [\n            \"173910 7469813659\"\n          ]\n        },\n        \"address\": \"13 Via Oltre Orba, Capriata d'Orba - 15060, IT\",\n        \"geoFence\": {\n          \"radiusInMeters\": 2414\n        },\n        \"shipTo\": \"00PL00S4FM\",\n        \"fourKitesEtd\": null,\n        \"carrierEtd\": null,\n        \"carrierEta\": null,\n        \"productLineItems\": [\n          {\n            \"productId\": \"rohit-123/78^*\",\n            \"productName\": \"Premium Auto Parts Kit\",\n            \"productDescription\": \"Complete automotive parts assembly kit including filters, belts, and gaskets\",\n            \"productCategory\": \"Automotive Parts\",\n            \"quantity\": 100,\n            \"measurementUnitCode\": \"PCE\",\n            \"netWeight\": 250.5,\n            \"weightUnit\": \"KGM\",\n            \"unitCost\": 85.50,\n            \"currencyCode\": \"USD\",\n            \"extendedCost\": 8550.00,\n            \"freightCost\": 125.00,\n            \"bestBeforeDate\": \"2025-07-15T08:10:00Z\",\n            \"additionalCharges\": 500.00,\n            \"tariffCost\": 200.00,\n            \"fourKitesCalculatedTariffCost\": 1951.75,\n            \"totalLandedCost\": 8925.00,\n            \"countryOfOrigin\": \"US\",\n            \"harmonizedSystemCode\": \"8708293000\",\n            \"commodityTypeCode\": \"AUTO_PARTS\",\n            \"htsusCode\": \"8708293000\",\n            \"orderNumber\": \"PO-2025-4567\",\n            \"deliveryNumber\": \"DN-789012\",\n            \"handlingUnitId\": \"PLT-001234\",\n            \"barcode\": \"123456789012\",\n            \"containerType\": \"pallet\",\n            \"gtin\": \"01234567890123\",\n            \"customerPartNumber\": \"CUST-AP-001\",\n            \"supplierPartNumber\": \"SUPP-KIT-789\",\n            \"manufacturerPartNumber\": \"MFG-APK-456\",\n            \"itemNumber\": \"ITM-001234\",\n            \"productUpc\": \"123456789012\",\n            \"deliveryReferences\": [\"DEL-REF-001\", \"DEL-REF-002\"],\n            \"orderReferences\": [\"ORD-REF-001\"],\n            \"brandName\": \"AutoPro\",\n            \"minimumTemperature\": -10,\n            \"maximumTemperature\": 60,\n            \"temperatureUnitCode\": \"cel\",\n            \"labelIdentifier\": \"LBL-AP-001234\",\n            \"productTrackingNumber\": \"TRK-789456123\",\n            \"deviceType\": \"RFID_TAG\"\n          }\n        ]\n      },\n      {\n        \"fourKitesStopID\": \"1250930740\",\n        \"stopType\": \"DELIVERY\",\n        \"status\": \"Not Tracking\",\n        \"stopName\": \"SMA XPO SUPPLY CHAIN ITALY S.P.A, OSIMO, AN\",\n        \"city\": \"Aspio Terme\",\n        \"state\": \"Marche\",\n        \"country\": \"IT\",\n        \"externalAddressID\": \"0000729113\",\n        \"latitude\": 43.5314028,\n        \"longitude\": 13.5111304,\n        \"timeZone\": \"Europe/Rome\",\n        \"schedule\": {\n          \"appointmentTime\": \"2024-12-23T23:00:00+01:00\",\n          \"wantTime\": \"2024-12-23T23:00:00+01:00\"\n        },\n        \"sequence\": 2,\n        \"arrivalTime\": null,\n        \"departureTime\": null,\n        \"pallets\": [\n          {\n            \"parts\": [\n              {\n                \"quantity\": null,\n                \"weight\": null\n              }\n            ]\n          }\n        ],\n        \"fourKitesEta\": null,\n        \"dwellDurationInMinutes\": null,\n        \"shipmentIdentifiers\": {\n          \"purchaseOrderNumbers\": [\n            \"173910 7469813659\"\n          ]\n        },\n        \"address\": \"2 Via Thomas Alva Edison, Aspio Terme, Marche - 60027, IT\",\n        \"geoFence\": {\n          \"radiusInMeters\": 2414\n        },\n        \"shipTo\": \"0000729113\",\n        \"fourKitesEtd\": null,\n        \"carrierEtd\": null,\n        \"carrierEta\": null,\n        \"productLineItems\": [\n          {\n            \"productId\": \"rohit-123/78^*\",\n            \"productName\": \"Premium Auto Parts Kit\",\n            \"productDescription\": \"Complete automotive parts assembly kit including filters, belts, and gaskets\",\n            \"productCategory\": \"Automotive Parts\",\n            \"quantity\": 100,\n            \"measurementUnitCode\": \"PCE\",\n            \"netWeight\": 250.5,\n            \"weightUnit\": \"KGM\",\n            \"unitCost\": 85.50,\n            \"currencyCode\": \"USD\",\n            \"extendedCost\": 8550.00,\n            \"freightCost\": 125.00,\n            \"bestBeforeDate\": \"2025-07-15T08:10:00Z\",\n            \"additionalCharges\": 500.00,\n            \"tariffCost\": 200.00,\n            \"fourKitesCalculatedTariffCost\": 1951.75,\n            \"totalLandedCost\": 8925.00,\n            \"countryOfOrigin\": \"US\",\n            \"harmonizedSystemCode\": \"8708293000\",\n            \"commodityTypeCode\": \"AUTO_PARTS\",\n            \"htsusCode\": \"8708293000\",\n            \"orderNumber\": \"PO-2025-4567\",\n            \"deliveryNumber\": \"DN-789012\",\n            \"handlingUnitId\": \"PLT-001234\",\n            \"barcode\": \"123456789012\",\n            \"containerType\": \"pallet\",\n            \"gtin\": \"01234567890123\",\n            \"customerPartNumber\": \"CUST-AP-001\",\n            \"supplierPartNumber\": \"SUPP-KIT-789\",\n            \"manufacturerPartNumber\": \"MFG-APK-456\",\n            \"itemNumber\": \"ITM-001234\",\n            \"productUpc\": \"123456789012\",\n            \"deliveryReferences\": [\"DEL-REF-001\", \"DEL-REF-002\"],\n            \"orderReferences\": [\"ORD-REF-001\"],\n            \"brandName\": \"AutoPro\",\n            \"minimumTemperature\": -10,\n            \"maximumTemperature\": 60,\n            \"temperatureUnitCode\": \"cel\",\n            \"labelIdentifier\": \"LBL-AP-001234\",\n            \"productTrackingNumber\": \"TRK-789456123\",\n            \"deviceType\": \"RFID_TAG\"\n          }\n        ]\n      }\n    ],\n    \"tags\": [\n      \"45-HALF-TRUCK-TRAILER\",\n      \"45-LTL / COMMUTER\",\n      \"2021134\",\n      \"2030599\",\n      \"2136952\",\n      \"2136986\",\n      \"2136987\",\n      \"2136990\",\n      \"2240601\",\n      \"2248848\",\n      \"2248850\",\n      \"2248861\",\n      \"2248863\",\n      \"2259403\",\n      \"2259431\",\n      \"2259434\",\n      \"2259435\",\n      \"2350029\",\n      \"238843\",\n      \"PALLET\",\n      \"NA\",\n      \"1739107469813659\",\n      \"0000729113\"\n    ],\n    \"trackingIdentifiers\": {}\n  },\n  \"requestId\": \"crr5f3upei7u2m3ml0pg\"\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "piztyiCA4tcMWNbbdnaNB"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "get-shipment-detail",
  "legacyHash": "_Nz2t88wws95kg4gOtSJ0"
}
```
:::

:::hint{type="info"}
For Product Line Items field descriptions, see the [Product Line Items Reference](https://docs.fourkites.com/api-reference/get-shipment-details/#product-line-items).
:::

## Request Attributes

| Name                  | Param Type | Format | Default | Description                                                                                                                                 |
| --------------------- | ---------- | ------ | ------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| `fourKitesShipmentID` | Path       | String | NA      | fourKitesShipmentID is a FourKites generated identifier for a shipment that is returned as part of the shipment list and detailed response. |
| `loadNumber`          | Path       | String | NA      | Load or Shipment Number. This is the same as what is shown in the FourKites Web Application.                                                |

## Response Attributes

### Shipment Detail

| Name                                                                                  | Format                                                                                      | Default | Description                                             |
| ------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------- | ------- | ------------------------------------------------------- |
| Fields in [Shipment](https://docs.fourkites.com/api-reference/get-shipments#shipment) |                                                                                             | NA      |                                                         |
| `tags`                                                                                | String Array                                                                                | NA      | Custom tags associated with a load to search or filter. |
| `trackingIdentifiers`                                                                 | [Tracking Identifiers](https://docs.fourkites.com/api-reference/get-shipment-details#53C_Z) | NA      | The Identifiers used for tracking the Shipment.         |

### Tracking Identifiers

| Name              | Format                                                                                | Default | Description                                   |
| ----------------- | ------------------------------------------------------------------------------------- | ------- | --------------------------------------------- |
| `truckNumber`     | String                                                                                | NA      | The truck number associated with the load.    |
| `trailerNumber`   | String                                                                                | NA      | The trailer number associated with the load.  |
| `driver`          | [Driver](https://docs.fourkites.com/api-reference/get-shipment-details#M3uNA)         | NA      | The driver details used for tracking.         |
| `railEquipment`   | [Rail Equipment](https://docs.fourkites.com/api-reference/get-shipment-details#7GSUz) | NA      | The Rail Equipment details used for tracking. |
| `vessel`          | [Vessel](https://docs.fourkites.com/api-reference/get-shipment-details#KQ2tP)         | NA      | The Vessel details used of tracking.          |
| `containerNumber` | String                                                                                | NA      | The Container number used for tracking.       |

### Driver

| Name    | Format | Default | Description                                          |
| ------- | ------ | ------- | ---------------------------------------------------- |
| `id`    | String | NA      | FourKites® identifier to a driver used for tracking. |
| `phone` | String | NA      | Phone number of the Driver used for Tracking.        |

### Rail Equipment

| Name       | Format | Default | Description                                      |
| ---------- | ------ | ------- | ------------------------------------------------ |
| `initials` | String | NA      | Short form of Rail identifier used for tracking. |
| `number`   | String | NA      | Rail identifier used for tracking.               |

### Vessel

| Name   | Format | Default | Description                                                             |
| ------ | ------ | ------- | ----------------------------------------------------------------------- |
| `imo`  | String | NA      | The International Maritime Organization (IMO) number used for tracking. |
| `mmsi` | String | NA      | Maritime Mobile Service Identity used for tracking.                     |
| `name` | String | NA      | Vessel Name used for tracking.                                          |

### Stop Detail

| Name                                                                          | Format                                                                           | Default | Description                                                                                                                                                                                                                 |
| ----------------------------------------------------------------------------- | -------------------------------------------------------------------------------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Fields in [Stop](https://docs.fourkites.com/api-reference/get-shipment#Fdpsw) |                                                                                  | NA      |                                                                                                                                                                                                                             |
| `address`                                                                     | String                                                                           | NA      | The address of the stop.                                                                                                                                                                                                    |
| `shipTo`                                                                      | String                                                                           | NA      | The customer (shipper) given identifier of the facility to shipTo.                                                                                                                                                          |
| `arrivalTime`                                                                 | Timestamp in ISO8601/RFC3339 format with timezone.                               | NA      | The Arrival Time at the stop.                                                                                                                                                                                               |
| `departureTime`                                                               | Timestamp in ISO8601/RFC3339 format with timezone                                | NA      | The Departure Time at the stop.                                                                                                                                                                                             |
| `dwellDurationInMinutes`                                                      | Integer                                                                          | NA      | The dwell time at the stop.                                                                                                                                                                                                 |
| `fourKitesEta`                                                                | Timestamp in ISO8601/RFC3339 format with timezone                                | NA      | ETA to the last delivery stop.<br /><br />We will map the last delivery stop ETA to this field.<br /><br />**Note**: *If the load is Delivered we may not have the ETA on the last Delivery stop and the field will be nil* |
| `geoFence`                                                                    | [Geo-Fence](https://docs.fourkites.com/api-reference/get-shipment-details#AwY6W) | NA      | The Geo-Fence used for tracking pickup/delivery to the stop.                                                                                                                                                                |
| `shipmentIdentifiers`                                                         | [Identifiers](https://docs.fourkites.com/api-reference/get-shipment#Ph2ng)       | NA      | The load Identifiers associated with the particular stop only.                                                                                                                                                              |

### Geo-Fence

| Name             | Format                                                                                 | Default | Description                                       |
| ---------------- | -------------------------------------------------------------------------------------- | ------- | ------------------------------------------------- |
| `points`         | Array of [Points](https://docs.fourkites.com/api-reference/get-shipment-details#8pN-j) | NA      | The locations that form the polygon Geo-Fence.    |
| `radiusInMeters` | Integer                                                                                | NA      | The radius of the circle for circular geo-fences. |

### Point

| Name        | Format | Default | Description                                                        |
| ----------- | ------ | ------- | ------------------------------------------------------------------ |
| `latitude`  | Float  | NA      | The latitude of the locations that make up the geofence boundary.  |
| `longitude` | Float  | NA      | The longitude of the locations that make up the geofence boundary. |

### Product Line Items

| **Field Name**                  | **Data Type** | **Constraints**                                 | **Description**                                      |
| ------------------------------- | ------------- | ----------------------------------------------- | ---------------------------------------------------- |
| `productId`                     | VARCHAR       | Mandatory if productLineItems object is present | Unique identifier for the product                    |
| `productName`                   | VARCHAR(255)  | Not Null                                        | Display name of the product                          |
| `productDescription`            | TEXT          | Optional                                        | Detailed description of the product                  |
| `productCategory`               | VARCHAR(100)  | Optional                                        | Category classification of the product               |
| `quantity`                      | INTEGER       | Not Null, >= 0                                  | Number of units in the shipment                      |
| `measurementUnitCode`           | VARCHAR(10)   | Not Null                                        | Unit of measurement for quantity (e.g., PCE, KG, LB) |
| `netWeight`                     | DECIMAL(10,3) | Optional                                        | Weight of the product excluding packaging            |
| `weightUnit`                    | VARCHAR(10)   | Optional                                        | Unit of measurement for weight (e.g., KGM, LBM)      |
| `unitCost`                      | DECIMAL(14,2) | Optional                                        | Cost per unit of the product                         |
| `currencyCode`                  | CHAR(3)       | ISO 4217                                        | Currency code for cost fields                        |
| `extendedCost`                  | DECIMAL(14,2) | Optional                                        | Total cost for all units (unitCost × quantity)       |
| `freightCost`                   | DECIMAL(14,2) | Optional                                        | Freight cost allocated to this line item             |
| `bestBeforeDate`                | TIMESTAMP     | Optional                                        | Expiration or best before date for the product       |
| `additionalCharges`             | DECIMAL(14,2) | Optional                                        | Any additional charges specific to this line item    |
| `tariffCost`                    | DECIMAL(14,2) | Optional                                        | Tariff cost for this specific line item              |
| `fourKitesCalculatedTariffCost` | DECIMAL(14,2) | Optional                                        | System-calculated tariff cost                        |
| `totalLandedCost`               | DECIMAL(14,2) | Optional                                        | Total landed cost for this line item                 |
| `countryOfOrigin`               | CHAR(2)       | ISO 3166-1                                      | Country of origin for this product                   |
| `harmonizedSystemCode`          | VARCHAR(12)   | Optional                                        | International trade classification code              |
| `commodityTypeCode`             | VARCHAR(50)   | Optional                                        | Commodity classification code                        |
| `htsusCode`                     | VARCHAR(12)   | Optional                                        | Harmonized Tariff Schedule code for US imports       |
| `orderNumber`                   | VARCHAR(50)   | Optional                                        | Purchase order number                                |
| `deliveryNumber`                | VARCHAR(50)   | Optional                                        | Delivery reference number                            |
| `handlingUnitId`                | VARCHAR(50)   | Optional                                        | Identifier for the handling unit (pallet, box, etc.) |
| `barcode`                       | VARCHAR(50)   | GS1-compliant                                   | Product barcode                                      |
| `containerType`                 | VARCHAR(20)   | Optional                                        | Type of container (pallet, box, carton, etc.)        |
| `gtin`                          | VARCHAR(14)   | Optional                                        | Global Trade Item Number                             |
| `customerPartNumber`            | VARCHAR(100)  | Optional                                        | Customer's part number for the product               |
| `supplierPartNumber`            | VARCHAR(100)  | Optional                                        | Supplier's part number for the product               |
| `manufacturerPartNumber`        | VARCHAR(100)  | Optional                                        | Manufacturer's part number                           |
| `itemNumber`                    | VARCHAR(50)   | Optional                                        | Internal item number                                 |
| `productUpc`                    | VARCHAR(15)   | Optional                                        | Universal Product Code                               |
| `deliveryReferences`            | JSONB         | Optional                                        | Array of delivery reference numbers                  |
| `orderReferences`               | JSONB         | Optional                                        | Array of order reference numbers                     |
| `brandName`                     | VARCHAR(100)  | Optional                                        | Brand name of the product                            |
| `minimumTemperature`            | INTEGER       | Optional                                        | Minimum storage/transport temperature                |
| `maximumTemperature`            | INTEGER       | Optional                                        | Maximum storage/transport temperature                |
| `temperatureUnitCode`           | VARCHAR(10)   | Optional                                        | Temperature unit (cel, fah)                          |
| `labelIdentifier`               | VARCHAR(100)  | Optional                                        | Label identifier for tracking                        |
| `productTrackingNumber`         | VARCHAR(100)  | Optional                                        | Unique tracking number for the product               |
| `deviceType`                    | VARCHAR(50)   | Optional                                        | Type of tracking device (RFID\_TAG, QR\_CODE, etc.)  |
